# -*- coding: utf-8 -*-
import scrapy
import re
from scrapy.selector import HtmlXPathSelector
from urlparse import urljoin
from scrapy.http import Request

class WikipediaSpider(scrapy.Spider):
	name = 'wikipedia'
	start_urls = ['https://es.wikipedia.org/wiki/Búsqueda_y_recuperación_de_información']
	allowed_domains = ['es.wikipedia.org']
	def parse(self, response):
		item = dict()
		item['title_t'] = response.xpath('//h1[@id="firstHeading"]/text()').extract()
		item['id'] = response.url
		# item['text'] = response.xpath('//div[@id="bodyContent"]//node()/text()').extract()
		self.log("yielding item " + response.url)
		yield item
		
		for url in response.xpath('//a/@href').extract():
			url = urljoin(response.url, url)
			if not re.search(r'.(pdf|zip|jar)$', url):
				self.log("yielding request " + url)
				yield Request(url, callback=self.parse)
